# PetscIntView

Prints an array of integers; useful for debugging.

### Synopsis

    #include "petsc.h"
    PetscErrorCode PETSC_DLLEXPORT PetscIntView(PetscInt N,PetscInt idx[],PetscViewer viewer)

Collective on PetscViewer

### Input Parameters

| N | - number of integers in array
| idx | - array of integers
| viewer | - location to print array, PETSC_VIEWER_STDOUT_WORLD, PETSC_VIEWER_STDOUT_SELF or 0

### See Also

PetscRealView()

Level:intermediate
Location:src/sys/error/err.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/is/examples/tutorials/ex4.c.html
src/snes/examples/tutorials/ex6.c.html
src/dm/ao/examples/tutorials/ex2.c.html
src/dm/da/examples/tutorials/ex6.c.html